%define module smbc
%define oname pysmbc
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
# workaround underlinking issue
%define _disable_ld_no_undefined 1

Summary:	Python bindings for the libsmbclient API from Samba
Name:		python-%{module}
Version:	1.0.25.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/Python
URL:		https://github.com/hamano/pysmbc
Source0:	https://github.com/hamano/pysmbc/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:		pysmbc-1.0.23-linking.patch
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(python3)

%description
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

%package -n python3-smbc
Summary:	Python3 bindings for the libsmbclient API from Samba
Group:		Development/Python
Provides:	pysmbc = %{version}-%{release}
Provides:	python3-pysmbc = %{version}-%{release}
%{?python_provide:%python_provide python3-smbc}

%description -n python3-smbc
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

This is a ported release for python 3.

%package doc
Summary:	Documentation for python-smbc
Group:		Development/Python
BuildArch:	noarch

%description doc
Documentation for python-smbc.

%prep
%autosetup -n pysmbc-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smbc

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{_bindir}/pydoc3 -w smbc
%{_bindir}/mkdir html
%{_bindir}/mv smbc.html html

%files -n python3-smbc -f %{pyproject_files}
%doc README.md NEWS
%license COPYING
%{python3_sitearch}/_smbc.cpython-*.so

%files doc
%doc html


%changelog
* Sat Mar 01 2025 wally <wally> 1.0.25.1-3.mga10
+ Revision: 2155932
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 1.0.25.1-2.mga10
+ Revision: 2018347
- rebuild for python3.12
- adapt to pyproject

* Fri Jan 20 2023 luigiwalser <luigiwalser> 1.0.25.1-1.mga9
+ Revision: 1934535
- 1.0.25.1

* Fri Mar 18 2022 umeabot <umeabot> 1.0.23-4.mga9
+ Revision: 1799017
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.0.23-3.mga9
+ Revision: 1773989
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 1.0.23-2.mga9
+ Revision: 1703845
- rebuild for python 3.9

* Fri Nov 06 2020 luigiwalser <luigiwalser> 1.0.23-1.mga8
+ Revision: 1642990
- rediff linking patch
- 1.0.23

* Sun Feb 16 2020 umeabot <umeabot> 1.0.18-2.mga8
+ Revision: 1536546
- Mageia 8 Mass Rebuild

* Fri Oct 18 2019 daviddavid <daviddavid> 1.0.18-1.mga8
+ Revision: 1454424
- new version: 1.0.18
+ tv <tv>
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tmb <tmb> 1.0.15.8-5.mga7
+ Revision: 1351203
- rebuild for python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.15.8-4.mga7
+ Revision: 1300601
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 1.0.15.8-3.mga7
+ Revision: 1230037
- python3-smbc should provides pysmbc

* Tue May 15 2018 daviddavid <daviddavid> 1.0.15.8-2.mga7
+ Revision: 1229707
- provides pysmbc (mga#23018)
- rename python-smbc to python2-smbc

* Wed Apr 18 2018 kekepower <kekepower> 1.0.15.8-1.mga7
+ Revision: 1219894
- Update to version 1.0.15.8

* Fri Aug 04 2017 tv <tv> 1.0.15.4-3.mga7
+ Revision: 1134719
- rebuild for new python

* Tue Feb 16 2016 umeabot <umeabot> 1.0.15.4-2.mga6
+ Revision: 962444
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 1.0.15.4-1.mga6
+ Revision: 897188
- update to 1.0.15.4, add doc

* Wed Oct 07 2015 tv <tv> 1.0.13-10.mga6
+ Revision: 886771
- rebuild for python 3.5

* Sun Jan 11 2015 philippem <philippem> 1.0.13-9.mga5
+ Revision: 809850
- rebuild for Python 3 support
- add Python3 support, thanks Michael Altizer

* Wed Oct 15 2014 umeabot <umeabot> 1.0.13-8.mga5
+ Revision: 740628
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.13-7.mga5
+ Revision: 729772
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.13-6.mga5
+ Revision: 688339
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.13-4.mga4
+ Revision: 544157
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.13-3.mga4
+ Revision: 499394
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.13-2.mga3
+ Revision: 379535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.0.13-1.mga3
+ Revision: 334237
- Update to 1.0.13

* Wed Oct 26 2011 philippem <philippem> 1.0.11-1.mga2
+ Revision: 158277
- new upstream 1.0.11

* Sun Feb 20 2011 ahmad <ahmad> 1.0.10-2.mga1
+ Revision: 54808
- use the Source url and add the .asc file
- replace the deprecated %%py_requires -d with BR python-devel

* Sun Feb 20 2011 dmorgan <dmorgan> 1.0.10-1.mga1
+ Revision: 54772
- imported package python-smbc


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-1mdv2011.0
+ Revision: 603075
- update to new version 1.0.10

* Sun Oct 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.0.6-3mdv2011.0
+ Revision: 590767
- rebuild for new python 2.7

* Sun Jun 06 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.6-2mdv2010.1
+ Revision: 547157
- Bump release to ensure version is > 2010.0 update version

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use description for the package in 2010.0

* Fri Feb 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.6-1mdv2010.1
+ Revision: 508398
- import python-smbc


